<?php
/**
 * Clase DP para CrCreditoCuotaDP
 *
 * @package    
 * @subpackage CrCreditoCuotaDP
 * @author     Willy
 * @version    SVN:: CrCreditoCuotaDP.class.php,v 1.1 2013-01-04 11:12:09 william.taype Exp $
 */
class CrCreditoCuotaDP extends BaseCrCreditoCuotaDP
{
    public function update()
    {
        try
        {
            if($this->getIdcuota())
            {
                $a_Fields = array();

                if($this->getIdcuota()) : $a_Fields['idcuota'] = ($this->getIdcuota()); endif;
                if($this->getFechacuota()) : $a_Fields['fechacuota'] = ($this->getFechacuota()); endif;
                if(!is_null( $this->getMontototal())) : $a_Fields['montototal'] = ($this->getMontototal()); endif;
                if(!is_null( $this->getSaldototal())) : $a_Fields['saldototal'] = ($this->getSaldototal()); endif;
                if(!is_null( $this->getMontocapital())) : $a_Fields['montocapital'] = ($this->getMontocapital()); endif;
                if(!is_null( $this->getMontointeres())) : $a_Fields['montointeres'] = ($this->getMontointeres()); endif;
                if(!is_null( $this->getMontomora() ) ) : $a_Fields['montomora'] = ($this->getMontomora()); endif;
                if($this->getEstado()) : $a_Fields['estado'] = ($this->getEstado()); endif;
                if($this->getMoneda()) : $a_Fields['moneda'] = ($this->getMoneda()); endif;
                if($this->getDiasmora()) : $a_Fields['diasmora'] = ($this->getDiasmora()); endif;
                if($this->getFechacreacion()) : $a_Fields['fechacreacion'] = ($this->getFechacreacion()); endif;
                if($this->getUsuariocreacion()) : $a_Fields['usuariocreacion'] = ($this->getUsuariocreacion()); endif;
                if($this->getEliminado()) : $a_Fields['eliminado'] = ($this->getEliminado()); endif;
                if($this->getFechaeliminado()) : $a_Fields['fechaeliminado'] = ($this->getFechaeliminado()); endif;
                if($this->getUsuarioeliminado()) : $a_Fields['usuarioeliminado'] = ($this->getUsuarioeliminado()); endif;
                if($this->getIdcreditocrono()) : $a_Fields['idcreditocrono'] = ($this->getIdcreditocrono()); endif;

                $sStringField = arrayClass::implode_key_value(',', $a_Fields);

                $con = Conexion::getConexion();
                $sql = "UPDATE cr_credito_cuota SET ".$sStringField." WHERE 1 AND idcuota='".$this->getIdcuota()."';";
                $oLink = method_exists($con, 'getResource')?$con->getResource():$con;
                $result = mysql_query($sql, $oLink);
                if($result)
                {
                    $this->nRowsAffected = (int) mysql_affected_rows($oLink);
                }
                else
                {
                    throw new Exception( mysql_error($oLink) );
                }
            }
            else
            {
                throw new Exception( 'El id no esta registrado.');
            }
        }
        catch ( Exception $o_Error )
        {
            throw new Exception($o_Error->getMessage().' en '.$o_Error->getFile().' linea '.$o_Error->getLine());
        }
        return true;
    }
    
    public function deleteLogic()
    {
        try
        {
            if($this->getIdcreditocrono())
            {
                $a_Fields = array();
    
                $con = Conexion::getConexion();
                $sql = "UPDATE cr_credito_cuota SET eliminado='1' WHERE 1 AND idcreditocrono='".$this->getIdcreditocrono()."';";
                $oLink = method_exists($con, 'getResource')?$con->getResource():$con;
                $result = mysql_query($sql, $oLink);
                if($result)
                {
                    $this->nRowsAffected = (int) mysql_affected_rows($oLink);
                }
                else
                {
                    throw new Exception( mysql_error() );
                }
            }
            else
            {
                throw new Exception( 'El id no esta registrado.');
            }
        }
        catch ( Exception $o_Error )
        {
            throw new Exception($o_Error->getMessage().' en '.$o_Error->getFile().' linea '.$o_Error->getLine());
        }
        return true;
    }
}